summaryrefslogtreecommitdiff
path: root/packages/uw7
diff options
context:
space:
mode:
authorTobias Klauser <tklauser@distanz.ch>2006-11-13 22:13:33 +0100
committerTobias Klauser <tklauser@xenon.tklauser.home>2006-11-13 22:13:33 +0100
commitb37e0da0b7dc72ddfa513e319ca71b5f5b8aeb7d (patch)
tree810ec4a83a30b7e001321fdb2402c756f511727e /packages/uw7
Initial import15.6-2
Diffstat (limited to 'packages/uw7')
-rw-r--r--packages/uw7/CVS/Entries4
-rw-r--r--packages/uw7/CVS/Repository1
-rw-r--r--packages/uw7/CVS/Root1
-rw-r--r--packages/uw7/Prototype11
-rwxr-xr-xpackages/uw7/cscope_pkg.sh98
-rw-r--r--packages/uw7/pkginfo6
6 files changed, 121 insertions, 0 deletions
diff --git a/packages/uw7/CVS/Entries b/packages/uw7/CVS/Entries
new file mode 100644
index 0000000..563b97c
--- /dev/null
+++ b/packages/uw7/CVS/Entries
@@ -0,0 +1,4 @@
+/Prototype/1.1/Wed Nov 22 15:42:16 2000//
+/cscope_pkg.sh/1.3/Tue Jul 3 22:09:50 2001//
+/pkginfo/1.3/Tue Jul 3 22:09:50 2001//
+D
diff --git a/packages/uw7/CVS/Repository b/packages/uw7/CVS/Repository
new file mode 100644
index 0000000..cbff275
--- /dev/null
+++ b/packages/uw7/CVS/Repository
@@ -0,0 +1 @@
+cscope/packages/uw7
diff --git a/packages/uw7/CVS/Root b/packages/uw7/CVS/Root
new file mode 100644
index 0000000..e0eb551
--- /dev/null
+++ b/packages/uw7/CVS/Root
@@ -0,0 +1 @@
+broeker@cscope.cvs.sourceforge.net:/cvsroot/cscope
diff --git a/packages/uw7/Prototype b/packages/uw7/Prototype
new file mode 100644
index 0000000..e301a03
--- /dev/null
+++ b/packages/uw7/Prototype
@@ -0,0 +1,11 @@
+i pkginfo
+d none /usr ? ? ?
+d none /usr/local 0755 root bin
+d none /usr/local/bin 0755 root bin
+d none /usr/local/man 0755 root bin
+d none /usr/local/man/man1 0755 root bin
+! search /usr/local/bin
+f none /usr/local/bin/cscope 0755 root bin
+f none /usr/local/bin/ocs 0755 root bin
+! search /usr/local/man/man1
+f none /usr/local/man/man1/cscope.1 0644 root bin
diff --git a/packages/uw7/cscope_pkg.sh b/packages/uw7/cscope_pkg.sh
new file mode 100755
index 0000000..9c5e77f
--- /dev/null
+++ b/packages/uw7/cscope_pkg.sh
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+#===========================================================================
+# Copyright (c) 1998-2000, The Santa Cruz Operation
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are met:
+#
+# *Redistributions of source code must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+#
+# *Redistributions in binary form must reproduce the above copyright notice,
+# this list of conditions and the following disclaimer in the documentation
+# and/or other materials provided with the distribution.
+#
+# *Neither name of The Santa Cruz Operation nor the names of its contributors
+# may be used to endorse or promote products derived from this software
+# without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS
+# IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
+# THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE
+# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+# INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
+# DAMAGE.
+# =========================================================================*/
+
+# This simple script creates an UW7 pkg for cscope
+# Execute these commands as root
+
+BINDIR=/usr/local/bin/
+LIBDIR=/usr/local/lib/
+MANDIR=/usr/local/man/man1/
+SPOOLDIR=/var/spool/pkg/
+
+# Check that the user is root
+
+if [ `id -un` != "root" ]
+then
+ echo "ERROR: Need to be root to build package" >&2
+ exit 1;
+fi
+
+# Check that cscope has been installed
+if [ ! -f $BINDIR/cscope ]
+then
+ echo "ERROR: cscope not installed" >&2
+ exit 1
+fi
+
+if [ ! -f $BINDIR/ocs ]
+then
+ echo "ERROR: ocs not installed" >&2
+ exit 1
+fi
+
+if [ ! -f $MANDIR/cscope.1 ]
+then
+ echo "ERROR: cscope man page not installed" >&2
+ exit 1
+fi
+
+# Check that there is no current cscope pkg spooled
+
+if [ -d $SPOOLDIR/cscope ]
+then
+ echo "ERROR: cscope is currently spooled in $SPOOLDIR/cscope." >&2
+ echo " Please remove this directory and its contents to" >&2
+ echo " continue." >&2
+ exit 1
+fi
+
+# Make the spool dir entry
+# Note that cscope must be already installed
+echo "INFO: Spooling package" >&2
+pkgmk
+if [ $? -ne 0 ]
+then
+ echo "ERROR: An error occurred during spooling the package" >&2
+ exit 1
+fi
+
+# Install the spool dir cscope entry into the package
+echo "INFO: creating package" >&2
+pkgtrans -s /var/spool/pkg cscope.15.6.pkg cscope
+if [ $? -ne 0 ]
+then
+ echo "ERROR: An error occurred while creating the package" >&2
+ exit 1
+fi
+
diff --git a/packages/uw7/pkginfo b/packages/uw7/pkginfo
new file mode 100644
index 0000000..d45d6c2
--- /dev/null
+++ b/packages/uw7/pkginfo
@@ -0,0 +1,6 @@
+PKG="cscope"
+NAME="cscope"
+VERSION="15.6 UW7.1.1 07/03/2001"
+CATEGORY="utilities"
+ARCH=i386
+PSTAMP=